"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessibilityAPI = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "accessibilityAPI",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const AccessibilityAPI = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'accessibilityAPI',
        ...props,
    }, children);
};
exports.AccessibilityAPI = AccessibilityAPI;
AccessibilityAPI.Text = TextType;
