"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessibilityHazard = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "accessibilityHazard",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const AccessibilityHazard = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'accessibilityHazard',
        ...props,
    }, children);
};
exports.AccessibilityHazard = AccessibilityHazard;
AccessibilityHazard.Text = TextType;
