"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlternativeHeadline = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "alternativeHeadline",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const AlternativeHeadline = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'alternativeHeadline',
        ...props,
    }, children);
};
exports.AlternativeHeadline = AlternativeHeadline;
AlternativeHeadline.Text = TextType;
