"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociatedMedia = void 0;
const react_1 = require("react");
const MediaObjectType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "associatedMedia",
        itemScope: true,
        itemType: "https://schema.org/MediaObject",
        ...props,
    }, children);
};
const AssociatedMedia = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "associatedMedia",
        ...props,
    }, children);
};
exports.AssociatedMedia = AssociatedMedia;
AssociatedMedia.MediaObject = MediaObjectType;
