"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Comment = void 0;
const react_1 = require("react");
const Comment = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "comment",
        itemScope: true,
        itemType: "https://schema.org/Comment",
        ...props,
    }, children);
};
exports.Comment = Comment;
