"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentCount = void 0;
const react_1 = require("react");
const IntegerType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "commentCount",
        itemScope: true,
        itemType: "https://schema.org/Integer",
        ...props,
    }, children);
};
const CommentCount = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "commentCount",
        ...props,
    }, children);
};
exports.CommentCount = CommentCount;
CommentCount.Integer = IntegerType;
