"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentReferenceTime = void 0;
const react_1 = require("react");
const DateTimeType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "contentReferenceTime",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props,
    }, children);
};
const ContentReferenceTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "contentReferenceTime",
        ...props,
    }, children);
};
exports.ContentReferenceTime = ContentReferenceTime;
ContentReferenceTime.DateTime = DateTimeType;
