"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contributor = void 0;
const react_1 = require("react");
const Contributor = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'contributor',
        ...props,
    }, children);
};
exports.Contributor = Contributor;
Contributor.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "contributor",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
Contributor.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "contributor",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
