"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Correction = void 0;
const react_1 = require("react");
const Correction = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'correction',
        ...props,
    }, children);
};
exports.Correction = Correction;
Correction.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "correction",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
Correction.CorrectionComment = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "correction",
        itemScope: true,
        itemType: "https://schema.org/CorrectionComment",
        ...props
    }, children);
};
