"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreditText = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "creditText",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const CreditText = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'creditText',
        ...props,
    }, children);
};
exports.CreditText = CreditText;
CreditText.Text = TextType;
