"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateCreated = void 0;
const react_1 = require("react");
const DateCreated = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'dateCreated',
        ...props,
    }, children);
};
exports.DateCreated = DateCreated;
DateCreated.DateTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "dateCreated",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props
    }, children);
};
DateCreated.Date = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "dateCreated",
        itemScope: true,
        itemType: "https://schema.org/Date",
        ...props
    }, children);
};
