"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatePublished = void 0;
const react_1 = require("react");
const DatePublished = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'datePublished',
        ...props,
    }, children);
};
exports.DatePublished = DatePublished;
DatePublished.DateTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "datePublished",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props
    }, children);
};
DatePublished.Date = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "datePublished",
        itemScope: true,
        itemType: "https://schema.org/Date",
        ...props
    }, children);
};
