"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Editor = void 0;
const react_1 = require("react");
const PersonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "editor",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props,
    }, children);
};
const Editor = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "editor",
        ...props,
    }, children);
};
exports.Editor = Editor;
Editor.Person = PersonType;
