"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Genre = void 0;
const react_1 = require("react");
const Genre = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'genre',
        ...props,
    }, children);
};
exports.Genre = Genre;
Genre.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "genre",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
