"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HasPart = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "hasPart",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const HasPart = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "hasPart",
        ...props,
    }, children);
};
exports.HasPart = HasPart;
HasPart.CreativeWork = CreativeWorkType;
