"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Headline = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "headline",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const Headline = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'headline',
        ...props,
    }, children);
};
exports.Headline = Headline;
Headline.Text = TextType;
