"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HoldingArchive = void 0;
const react_1 = require("react");
const ArchiveOrganizationType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "holdingArchive",
        itemScope: true,
        itemType: "https://schema.org/ArchiveOrganization",
        ...props,
    }, children);
};
const HoldingArchive = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "holdingArchive",
        ...props,
    }, children);
};
exports.HoldingArchive = HoldingArchive;
HoldingArchive.ArchiveOrganization = ArchiveOrganizationType;
