import { FC, HTMLAttributes, HTMLProps } from "react";
declare type Type = FC<HTMLProps<HTMLAttributes<any>> & {
    as?: string;
}>;
declare const IsBasedOnUrl: Type & {
    URL: Type;
    Product: Type;
    CreativeWork: Type;
};
export { IsBasedOnUrl };
