"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemLocation = void 0;
const react_1 = require("react");
const ItemLocation = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'itemLocation',
        ...props,
    }, children);
};
exports.ItemLocation = ItemLocation;
ItemLocation.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "itemLocation",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
ItemLocation.PostalAddress = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "itemLocation",
        itemScope: true,
        itemType: "https://schema.org/PostalAddress",
        ...props
    }, children);
};
