"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PotentialAction = void 0;
const react_1 = require("react");
const ActionType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "potentialAction",
        itemScope: true,
        itemType: "https://schema.org/Action",
        ...props,
    }, children);
};
const PotentialAction = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "potentialAction",
        ...props,
    }, children);
};
exports.PotentialAction = PotentialAction;
PotentialAction.Action = ActionType;
