"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Producer = void 0;
const react_1 = require("react");
const Producer = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'producer',
        ...props,
    }, children);
};
exports.Producer = Producer;
Producer.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "producer",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
Producer.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "producer",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
