"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Publication = void 0;
const react_1 = require("react");
const PublicationEventType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "publication",
        itemScope: true,
        itemType: "https://schema.org/PublicationEvent",
        ...props,
    }, children);
};
const Publication = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "publication",
        ...props,
    }, children);
};
exports.Publication = Publication;
Publication.PublicationEvent = PublicationEventType;
