"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReleasedEvent = void 0;
const react_1 = require("react");
const PublicationEventType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "releasedEvent",
        itemScope: true,
        itemType: "https://schema.org/PublicationEvent",
        ...props,
    }, children);
};
const ReleasedEvent = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "releasedEvent",
        ...props,
    }, children);
};
exports.ReleasedEvent = ReleasedEvent;
ReleasedEvent.PublicationEvent = PublicationEventType;
