"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SdLicense = void 0;
const react_1 = require("react");
const SdLicense = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'sdLicense',
        ...props,
    }, children);
};
exports.SdLicense = SdLicense;
SdLicense.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "sdLicense",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
SdLicense.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "sdLicense",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
