"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Size = void 0;
const react_1 = require("react");
const Size = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'size',
        ...props,
    }, children);
};
exports.Size = Size;
Size.DefinedTerm = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "size",
        itemScope: true,
        itemType: "https://schema.org/DefinedTerm",
        ...props
    }, children);
};
Size.SizeSpecification = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "size",
        itemScope: true,
        itemType: "https://schema.org/SizeSpecification",
        ...props
    }, children);
};
Size.QuantitativeValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "size",
        itemScope: true,
        itemType: "https://schema.org/QuantitativeValue",
        ...props
    }, children);
};
