"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceOrganization = void 0;
const react_1 = require("react");
const OrganizationType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "sourceOrganization",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props,
    }, children);
};
const SourceOrganization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "sourceOrganization",
        ...props,
    }, children);
};
exports.SourceOrganization = SourceOrganization;
SourceOrganization.Organization = OrganizationType;
