"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpatialCoverage = void 0;
const react_1 = require("react");
const PlaceType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "spatialCoverage",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props,
    }, children);
};
const SpatialCoverage = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "spatialCoverage",
        ...props,
    }, children);
};
exports.SpatialCoverage = SpatialCoverage;
SpatialCoverage.Place = PlaceType;
