"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "text",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const Text = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'text',
        ...props,
    }, children);
};
exports.Text = Text;
Text.Text = TextType;
