"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbnailUrl = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "thumbnailUrl",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const ThumbnailUrl = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "thumbnailUrl",
        ...props,
    }, children);
};
exports.ThumbnailUrl = ThumbnailUrl;
ThumbnailUrl.URL = URLType;
