"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TranslationOfWork = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "translationOfWork",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const TranslationOfWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "translationOfWork",
        ...props,
    }, children);
};
exports.TranslationOfWork = TranslationOfWork;
TranslationOfWork.CreativeWork = CreativeWorkType;
