"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Url = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "url",
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const Url = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'url',
        ...props,
    }, children);
};
exports.Url = Url;
Url.URL = URLType;
