"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkExample = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workExample",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const WorkExample = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workExample",
        ...props,
    }, children);
};
exports.WorkExample = WorkExample;
WorkExample.CreativeWork = CreativeWorkType;
