"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkTranslation = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workTranslation",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const WorkTranslation = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workTranslation",
        ...props,
    }, children);
};
exports.WorkTranslation = WorkTranslation;
WorkTranslation.CreativeWork = CreativeWorkType;
