"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlternativeHeadline = exports.ArchivedAt = exports.Text = exports.InterpretedAsClaim = exports.FileFormat = exports.Abstract = exports.InteractivityType = exports.ConditionsOfAccess = exports.Review = exports.AccessModeSufficient = exports.Awards = exports.LearningResourceType = exports.CopyrightNotice = exports.DiscussionUrl = exports.DateCreated = exports.TemporalCoverage = exports.CommentCount = exports.Award = exports.AccessibilitySummary = exports.Citation = exports.License = exports.Contributor = exports.PublishingPrinciples = exports.Mentions = exports.IsBasedOn = exports.Reviews = exports.Assesses = exports.Keywords = exports.Publisher = exports.Spatial = exports.EducationalAlignment = exports.Maintainer = exports.AccessibilityControl = exports.CopyrightHolder = exports.EducationalUse = exports.ContentLocation = exports.Expires = exports.Provider = exports.ThumbnailUrl = exports.AcquireLicensePage = exports.LocationCreated = exports.Version = exports.ReleasedEvent = exports.ExampleOfWork = exports.AssociatedMedia = exports.EducationalLevel = exports.WorkTranslation = exports.ItemLocation = exports.HoldingArchive = exports.ArchiveComponent = void 0;
exports.AccountablePerson = exports.AggregateRating = exports.Translator = exports.Size = exports.Temporal = exports.Teaches = exports.Creator = exports.MainEntity = exports.CopyrightYear = exports.EncodingFormat = exports.Position = exports.UsageInfo = exports.EditEIDR = exports.AccessMode = exports.SpatialCoverage = exports.AccessibilityFeature = exports.Audio = exports.SdPublisher = exports.AccessibilityAPI = exports.PublisherImprint = exports.Encoding = exports.Audience = exports.SchemaVersion = exports.Producer = exports.Genre = exports.TypicalAgeRange = exports.TimeRequired = exports.CountryOfOrigin = exports.Comment = exports.SdDatePublished = exports.Correction = exports.ContentReferenceTime = exports.Author = exports.IsAccessibleForFree = exports.IsFamilyFriendly = exports.IsBasedOnUrl = exports.CreativeWorkStatus = exports.TranslationOfWork = exports.DateModified = exports.Editor = exports.Pattern = exports.IsPartOf = exports.Video = exports.Funder = exports.Encodings = exports.About = exports.WorkExample = exports.InteractionStatistic = exports.Funding = exports.CreditText = void 0;
exports.AdditionalType = exports.Name = exports.Image = exports.Identifier = exports.DisambiguatingDescription = exports.Description = exports.SameAs = exports.AlternateName = exports.Url = exports.SubjectOf = exports.MainEntityOfPage = exports.PotentialAction = exports.Character = exports.Sponsor = exports.SourceOrganization = exports.HasPart = exports.Offers = exports.DatePublished = exports.Material = exports.InLanguage = exports.MaterialExtent = exports.Headline = exports.SdLicense = exports.Publication = exports.RecordedAt = exports.ContentRating = exports.AccessibilityHazard = void 0;
const HoldingArchive_1 = require("./src/itemProps/HoldingArchive");
Object.defineProperty(exports, "HoldingArchive", { enumerable: true, get: function () { return HoldingArchive_1.HoldingArchive; } });
const ItemLocation_1 = require("./src/itemProps/ItemLocation");
Object.defineProperty(exports, "ItemLocation", { enumerable: true, get: function () { return ItemLocation_1.ItemLocation; } });
const WorkTranslation_1 = require("./src/itemProps/WorkTranslation");
Object.defineProperty(exports, "WorkTranslation", { enumerable: true, get: function () { return WorkTranslation_1.WorkTranslation; } });
const EducationalLevel_1 = require("./src/itemProps/EducationalLevel");
Object.defineProperty(exports, "EducationalLevel", { enumerable: true, get: function () { return EducationalLevel_1.EducationalLevel; } });
const AssociatedMedia_1 = require("./src/itemProps/AssociatedMedia");
Object.defineProperty(exports, "AssociatedMedia", { enumerable: true, get: function () { return AssociatedMedia_1.AssociatedMedia; } });
const ExampleOfWork_1 = require("./src/itemProps/ExampleOfWork");
Object.defineProperty(exports, "ExampleOfWork", { enumerable: true, get: function () { return ExampleOfWork_1.ExampleOfWork; } });
const ReleasedEvent_1 = require("./src/itemProps/ReleasedEvent");
Object.defineProperty(exports, "ReleasedEvent", { enumerable: true, get: function () { return ReleasedEvent_1.ReleasedEvent; } });
const Version_1 = require("./src/itemProps/Version");
Object.defineProperty(exports, "Version", { enumerable: true, get: function () { return Version_1.Version; } });
const LocationCreated_1 = require("./src/itemProps/LocationCreated");
Object.defineProperty(exports, "LocationCreated", { enumerable: true, get: function () { return LocationCreated_1.LocationCreated; } });
const AcquireLicensePage_1 = require("./src/itemProps/AcquireLicensePage");
Object.defineProperty(exports, "AcquireLicensePage", { enumerable: true, get: function () { return AcquireLicensePage_1.AcquireLicensePage; } });
const ThumbnailUrl_1 = require("./src/itemProps/ThumbnailUrl");
Object.defineProperty(exports, "ThumbnailUrl", { enumerable: true, get: function () { return ThumbnailUrl_1.ThumbnailUrl; } });
const Provider_1 = require("./src/itemProps/Provider");
Object.defineProperty(exports, "Provider", { enumerable: true, get: function () { return Provider_1.Provider; } });
const Expires_1 = require("./src/itemProps/Expires");
Object.defineProperty(exports, "Expires", { enumerable: true, get: function () { return Expires_1.Expires; } });
const ContentLocation_1 = require("./src/itemProps/ContentLocation");
Object.defineProperty(exports, "ContentLocation", { enumerable: true, get: function () { return ContentLocation_1.ContentLocation; } });
const EducationalUse_1 = require("./src/itemProps/EducationalUse");
Object.defineProperty(exports, "EducationalUse", { enumerable: true, get: function () { return EducationalUse_1.EducationalUse; } });
const CopyrightHolder_1 = require("./src/itemProps/CopyrightHolder");
Object.defineProperty(exports, "CopyrightHolder", { enumerable: true, get: function () { return CopyrightHolder_1.CopyrightHolder; } });
const AccessibilityControl_1 = require("./src/itemProps/AccessibilityControl");
Object.defineProperty(exports, "AccessibilityControl", { enumerable: true, get: function () { return AccessibilityControl_1.AccessibilityControl; } });
const Maintainer_1 = require("./src/itemProps/Maintainer");
Object.defineProperty(exports, "Maintainer", { enumerable: true, get: function () { return Maintainer_1.Maintainer; } });
const EducationalAlignment_1 = require("./src/itemProps/EducationalAlignment");
Object.defineProperty(exports, "EducationalAlignment", { enumerable: true, get: function () { return EducationalAlignment_1.EducationalAlignment; } });
const Spatial_1 = require("./src/itemProps/Spatial");
Object.defineProperty(exports, "Spatial", { enumerable: true, get: function () { return Spatial_1.Spatial; } });
const Publisher_1 = require("./src/itemProps/Publisher");
Object.defineProperty(exports, "Publisher", { enumerable: true, get: function () { return Publisher_1.Publisher; } });
const Keywords_1 = require("./src/itemProps/Keywords");
Object.defineProperty(exports, "Keywords", { enumerable: true, get: function () { return Keywords_1.Keywords; } });
const Assesses_1 = require("./src/itemProps/Assesses");
Object.defineProperty(exports, "Assesses", { enumerable: true, get: function () { return Assesses_1.Assesses; } });
const Reviews_1 = require("./src/itemProps/Reviews");
Object.defineProperty(exports, "Reviews", { enumerable: true, get: function () { return Reviews_1.Reviews; } });
const IsBasedOn_1 = require("./src/itemProps/IsBasedOn");
Object.defineProperty(exports, "IsBasedOn", { enumerable: true, get: function () { return IsBasedOn_1.IsBasedOn; } });
const Mentions_1 = require("./src/itemProps/Mentions");
Object.defineProperty(exports, "Mentions", { enumerable: true, get: function () { return Mentions_1.Mentions; } });
const PublishingPrinciples_1 = require("./src/itemProps/PublishingPrinciples");
Object.defineProperty(exports, "PublishingPrinciples", { enumerable: true, get: function () { return PublishingPrinciples_1.PublishingPrinciples; } });
const Contributor_1 = require("./src/itemProps/Contributor");
Object.defineProperty(exports, "Contributor", { enumerable: true, get: function () { return Contributor_1.Contributor; } });
const License_1 = require("./src/itemProps/License");
Object.defineProperty(exports, "License", { enumerable: true, get: function () { return License_1.License; } });
const Citation_1 = require("./src/itemProps/Citation");
Object.defineProperty(exports, "Citation", { enumerable: true, get: function () { return Citation_1.Citation; } });
const AccessibilitySummary_1 = require("./src/itemProps/AccessibilitySummary");
Object.defineProperty(exports, "AccessibilitySummary", { enumerable: true, get: function () { return AccessibilitySummary_1.AccessibilitySummary; } });
const Award_1 = require("./src/itemProps/Award");
Object.defineProperty(exports, "Award", { enumerable: true, get: function () { return Award_1.Award; } });
const CommentCount_1 = require("./src/itemProps/CommentCount");
Object.defineProperty(exports, "CommentCount", { enumerable: true, get: function () { return CommentCount_1.CommentCount; } });
const TemporalCoverage_1 = require("./src/itemProps/TemporalCoverage");
Object.defineProperty(exports, "TemporalCoverage", { enumerable: true, get: function () { return TemporalCoverage_1.TemporalCoverage; } });
const DateCreated_1 = require("./src/itemProps/DateCreated");
Object.defineProperty(exports, "DateCreated", { enumerable: true, get: function () { return DateCreated_1.DateCreated; } });
const DiscussionUrl_1 = require("./src/itemProps/DiscussionUrl");
Object.defineProperty(exports, "DiscussionUrl", { enumerable: true, get: function () { return DiscussionUrl_1.DiscussionUrl; } });
const CopyrightNotice_1 = require("./src/itemProps/CopyrightNotice");
Object.defineProperty(exports, "CopyrightNotice", { enumerable: true, get: function () { return CopyrightNotice_1.CopyrightNotice; } });
const LearningResourceType_1 = require("./src/itemProps/LearningResourceType");
Object.defineProperty(exports, "LearningResourceType", { enumerable: true, get: function () { return LearningResourceType_1.LearningResourceType; } });
const Awards_1 = require("./src/itemProps/Awards");
Object.defineProperty(exports, "Awards", { enumerable: true, get: function () { return Awards_1.Awards; } });
const AccessModeSufficient_1 = require("./src/itemProps/AccessModeSufficient");
Object.defineProperty(exports, "AccessModeSufficient", { enumerable: true, get: function () { return AccessModeSufficient_1.AccessModeSufficient; } });
const Review_1 = require("./src/itemProps/Review");
Object.defineProperty(exports, "Review", { enumerable: true, get: function () { return Review_1.Review; } });
const ConditionsOfAccess_1 = require("./src/itemProps/ConditionsOfAccess");
Object.defineProperty(exports, "ConditionsOfAccess", { enumerable: true, get: function () { return ConditionsOfAccess_1.ConditionsOfAccess; } });
const InteractivityType_1 = require("./src/itemProps/InteractivityType");
Object.defineProperty(exports, "InteractivityType", { enumerable: true, get: function () { return InteractivityType_1.InteractivityType; } });
const Abstract_1 = require("./src/itemProps/Abstract");
Object.defineProperty(exports, "Abstract", { enumerable: true, get: function () { return Abstract_1.Abstract; } });
const FileFormat_1 = require("./src/itemProps/FileFormat");
Object.defineProperty(exports, "FileFormat", { enumerable: true, get: function () { return FileFormat_1.FileFormat; } });
const InterpretedAsClaim_1 = require("./src/itemProps/InterpretedAsClaim");
Object.defineProperty(exports, "InterpretedAsClaim", { enumerable: true, get: function () { return InterpretedAsClaim_1.InterpretedAsClaim; } });
const Text_1 = require("./src/itemProps/Text");
Object.defineProperty(exports, "Text", { enumerable: true, get: function () { return Text_1.Text; } });
const ArchivedAt_1 = require("./src/itemProps/ArchivedAt");
Object.defineProperty(exports, "ArchivedAt", { enumerable: true, get: function () { return ArchivedAt_1.ArchivedAt; } });
const AlternativeHeadline_1 = require("./src/itemProps/AlternativeHeadline");
Object.defineProperty(exports, "AlternativeHeadline", { enumerable: true, get: function () { return AlternativeHeadline_1.AlternativeHeadline; } });
const CreditText_1 = require("./src/itemProps/CreditText");
Object.defineProperty(exports, "CreditText", { enumerable: true, get: function () { return CreditText_1.CreditText; } });
const Funding_1 = require("./src/itemProps/Funding");
Object.defineProperty(exports, "Funding", { enumerable: true, get: function () { return Funding_1.Funding; } });
const InteractionStatistic_1 = require("./src/itemProps/InteractionStatistic");
Object.defineProperty(exports, "InteractionStatistic", { enumerable: true, get: function () { return InteractionStatistic_1.InteractionStatistic; } });
const WorkExample_1 = require("./src/itemProps/WorkExample");
Object.defineProperty(exports, "WorkExample", { enumerable: true, get: function () { return WorkExample_1.WorkExample; } });
const About_1 = require("./src/itemProps/About");
Object.defineProperty(exports, "About", { enumerable: true, get: function () { return About_1.About; } });
const Encodings_1 = require("./src/itemProps/Encodings");
Object.defineProperty(exports, "Encodings", { enumerable: true, get: function () { return Encodings_1.Encodings; } });
const Funder_1 = require("./src/itemProps/Funder");
Object.defineProperty(exports, "Funder", { enumerable: true, get: function () { return Funder_1.Funder; } });
const Video_1 = require("./src/itemProps/Video");
Object.defineProperty(exports, "Video", { enumerable: true, get: function () { return Video_1.Video; } });
const IsPartOf_1 = require("./src/itemProps/IsPartOf");
Object.defineProperty(exports, "IsPartOf", { enumerable: true, get: function () { return IsPartOf_1.IsPartOf; } });
const Pattern_1 = require("./src/itemProps/Pattern");
Object.defineProperty(exports, "Pattern", { enumerable: true, get: function () { return Pattern_1.Pattern; } });
const Editor_1 = require("./src/itemProps/Editor");
Object.defineProperty(exports, "Editor", { enumerable: true, get: function () { return Editor_1.Editor; } });
const DateModified_1 = require("./src/itemProps/DateModified");
Object.defineProperty(exports, "DateModified", { enumerable: true, get: function () { return DateModified_1.DateModified; } });
const TranslationOfWork_1 = require("./src/itemProps/TranslationOfWork");
Object.defineProperty(exports, "TranslationOfWork", { enumerable: true, get: function () { return TranslationOfWork_1.TranslationOfWork; } });
const CreativeWorkStatus_1 = require("./src/itemProps/CreativeWorkStatus");
Object.defineProperty(exports, "CreativeWorkStatus", { enumerable: true, get: function () { return CreativeWorkStatus_1.CreativeWorkStatus; } });
const IsBasedOnUrl_1 = require("./src/itemProps/IsBasedOnUrl");
Object.defineProperty(exports, "IsBasedOnUrl", { enumerable: true, get: function () { return IsBasedOnUrl_1.IsBasedOnUrl; } });
const IsFamilyFriendly_1 = require("./src/itemProps/IsFamilyFriendly");
Object.defineProperty(exports, "IsFamilyFriendly", { enumerable: true, get: function () { return IsFamilyFriendly_1.IsFamilyFriendly; } });
const IsAccessibleForFree_1 = require("./src/itemProps/IsAccessibleForFree");
Object.defineProperty(exports, "IsAccessibleForFree", { enumerable: true, get: function () { return IsAccessibleForFree_1.IsAccessibleForFree; } });
const Author_1 = require("./src/itemProps/Author");
Object.defineProperty(exports, "Author", { enumerable: true, get: function () { return Author_1.Author; } });
const ContentReferenceTime_1 = require("./src/itemProps/ContentReferenceTime");
Object.defineProperty(exports, "ContentReferenceTime", { enumerable: true, get: function () { return ContentReferenceTime_1.ContentReferenceTime; } });
const Correction_1 = require("./src/itemProps/Correction");
Object.defineProperty(exports, "Correction", { enumerable: true, get: function () { return Correction_1.Correction; } });
const SdDatePublished_1 = require("./src/itemProps/SdDatePublished");
Object.defineProperty(exports, "SdDatePublished", { enumerable: true, get: function () { return SdDatePublished_1.SdDatePublished; } });
const Comment_1 = require("./src/itemProps/Comment");
Object.defineProperty(exports, "Comment", { enumerable: true, get: function () { return Comment_1.Comment; } });
const CountryOfOrigin_1 = require("./src/itemProps/CountryOfOrigin");
Object.defineProperty(exports, "CountryOfOrigin", { enumerable: true, get: function () { return CountryOfOrigin_1.CountryOfOrigin; } });
const TimeRequired_1 = require("./src/itemProps/TimeRequired");
Object.defineProperty(exports, "TimeRequired", { enumerable: true, get: function () { return TimeRequired_1.TimeRequired; } });
const TypicalAgeRange_1 = require("./src/itemProps/TypicalAgeRange");
Object.defineProperty(exports, "TypicalAgeRange", { enumerable: true, get: function () { return TypicalAgeRange_1.TypicalAgeRange; } });
const Genre_1 = require("./src/itemProps/Genre");
Object.defineProperty(exports, "Genre", { enumerable: true, get: function () { return Genre_1.Genre; } });
const Producer_1 = require("./src/itemProps/Producer");
Object.defineProperty(exports, "Producer", { enumerable: true, get: function () { return Producer_1.Producer; } });
const SchemaVersion_1 = require("./src/itemProps/SchemaVersion");
Object.defineProperty(exports, "SchemaVersion", { enumerable: true, get: function () { return SchemaVersion_1.SchemaVersion; } });
const Audience_1 = require("./src/itemProps/Audience");
Object.defineProperty(exports, "Audience", { enumerable: true, get: function () { return Audience_1.Audience; } });
const Encoding_1 = require("./src/itemProps/Encoding");
Object.defineProperty(exports, "Encoding", { enumerable: true, get: function () { return Encoding_1.Encoding; } });
const PublisherImprint_1 = require("./src/itemProps/PublisherImprint");
Object.defineProperty(exports, "PublisherImprint", { enumerable: true, get: function () { return PublisherImprint_1.PublisherImprint; } });
const AccessibilityAPI_1 = require("./src/itemProps/AccessibilityAPI");
Object.defineProperty(exports, "AccessibilityAPI", { enumerable: true, get: function () { return AccessibilityAPI_1.AccessibilityAPI; } });
const SdPublisher_1 = require("./src/itemProps/SdPublisher");
Object.defineProperty(exports, "SdPublisher", { enumerable: true, get: function () { return SdPublisher_1.SdPublisher; } });
const Audio_1 = require("./src/itemProps/Audio");
Object.defineProperty(exports, "Audio", { enumerable: true, get: function () { return Audio_1.Audio; } });
const AccessibilityFeature_1 = require("./src/itemProps/AccessibilityFeature");
Object.defineProperty(exports, "AccessibilityFeature", { enumerable: true, get: function () { return AccessibilityFeature_1.AccessibilityFeature; } });
const SpatialCoverage_1 = require("./src/itemProps/SpatialCoverage");
Object.defineProperty(exports, "SpatialCoverage", { enumerable: true, get: function () { return SpatialCoverage_1.SpatialCoverage; } });
const AccessMode_1 = require("./src/itemProps/AccessMode");
Object.defineProperty(exports, "AccessMode", { enumerable: true, get: function () { return AccessMode_1.AccessMode; } });
const EditEIDR_1 = require("./src/itemProps/EditEIDR");
Object.defineProperty(exports, "EditEIDR", { enumerable: true, get: function () { return EditEIDR_1.EditEIDR; } });
const UsageInfo_1 = require("./src/itemProps/UsageInfo");
Object.defineProperty(exports, "UsageInfo", { enumerable: true, get: function () { return UsageInfo_1.UsageInfo; } });
const Position_1 = require("./src/itemProps/Position");
Object.defineProperty(exports, "Position", { enumerable: true, get: function () { return Position_1.Position; } });
const EncodingFormat_1 = require("./src/itemProps/EncodingFormat");
Object.defineProperty(exports, "EncodingFormat", { enumerable: true, get: function () { return EncodingFormat_1.EncodingFormat; } });
const CopyrightYear_1 = require("./src/itemProps/CopyrightYear");
Object.defineProperty(exports, "CopyrightYear", { enumerable: true, get: function () { return CopyrightYear_1.CopyrightYear; } });
const MainEntity_1 = require("./src/itemProps/MainEntity");
Object.defineProperty(exports, "MainEntity", { enumerable: true, get: function () { return MainEntity_1.MainEntity; } });
const Creator_1 = require("./src/itemProps/Creator");
Object.defineProperty(exports, "Creator", { enumerable: true, get: function () { return Creator_1.Creator; } });
const Teaches_1 = require("./src/itemProps/Teaches");
Object.defineProperty(exports, "Teaches", { enumerable: true, get: function () { return Teaches_1.Teaches; } });
const Temporal_1 = require("./src/itemProps/Temporal");
Object.defineProperty(exports, "Temporal", { enumerable: true, get: function () { return Temporal_1.Temporal; } });
const Size_1 = require("./src/itemProps/Size");
Object.defineProperty(exports, "Size", { enumerable: true, get: function () { return Size_1.Size; } });
const Translator_1 = require("./src/itemProps/Translator");
Object.defineProperty(exports, "Translator", { enumerable: true, get: function () { return Translator_1.Translator; } });
const AggregateRating_1 = require("./src/itemProps/AggregateRating");
Object.defineProperty(exports, "AggregateRating", { enumerable: true, get: function () { return AggregateRating_1.AggregateRating; } });
const AccountablePerson_1 = require("./src/itemProps/AccountablePerson");
Object.defineProperty(exports, "AccountablePerson", { enumerable: true, get: function () { return AccountablePerson_1.AccountablePerson; } });
const AccessibilityHazard_1 = require("./src/itemProps/AccessibilityHazard");
Object.defineProperty(exports, "AccessibilityHazard", { enumerable: true, get: function () { return AccessibilityHazard_1.AccessibilityHazard; } });
const ContentRating_1 = require("./src/itemProps/ContentRating");
Object.defineProperty(exports, "ContentRating", { enumerable: true, get: function () { return ContentRating_1.ContentRating; } });
const RecordedAt_1 = require("./src/itemProps/RecordedAt");
Object.defineProperty(exports, "RecordedAt", { enumerable: true, get: function () { return RecordedAt_1.RecordedAt; } });
const Publication_1 = require("./src/itemProps/Publication");
Object.defineProperty(exports, "Publication", { enumerable: true, get: function () { return Publication_1.Publication; } });
const SdLicense_1 = require("./src/itemProps/SdLicense");
Object.defineProperty(exports, "SdLicense", { enumerable: true, get: function () { return SdLicense_1.SdLicense; } });
const Headline_1 = require("./src/itemProps/Headline");
Object.defineProperty(exports, "Headline", { enumerable: true, get: function () { return Headline_1.Headline; } });
const MaterialExtent_1 = require("./src/itemProps/MaterialExtent");
Object.defineProperty(exports, "MaterialExtent", { enumerable: true, get: function () { return MaterialExtent_1.MaterialExtent; } });
const InLanguage_1 = require("./src/itemProps/InLanguage");
Object.defineProperty(exports, "InLanguage", { enumerable: true, get: function () { return InLanguage_1.InLanguage; } });
const Material_1 = require("./src/itemProps/Material");
Object.defineProperty(exports, "Material", { enumerable: true, get: function () { return Material_1.Material; } });
const DatePublished_1 = require("./src/itemProps/DatePublished");
Object.defineProperty(exports, "DatePublished", { enumerable: true, get: function () { return DatePublished_1.DatePublished; } });
const Offers_1 = require("./src/itemProps/Offers");
Object.defineProperty(exports, "Offers", { enumerable: true, get: function () { return Offers_1.Offers; } });
const HasPart_1 = require("./src/itemProps/HasPart");
Object.defineProperty(exports, "HasPart", { enumerable: true, get: function () { return HasPart_1.HasPart; } });
const SourceOrganization_1 = require("./src/itemProps/SourceOrganization");
Object.defineProperty(exports, "SourceOrganization", { enumerable: true, get: function () { return SourceOrganization_1.SourceOrganization; } });
const Sponsor_1 = require("./src/itemProps/Sponsor");
Object.defineProperty(exports, "Sponsor", { enumerable: true, get: function () { return Sponsor_1.Sponsor; } });
const Character_1 = require("./src/itemProps/Character");
Object.defineProperty(exports, "Character", { enumerable: true, get: function () { return Character_1.Character; } });
const PotentialAction_1 = require("./src/itemProps/PotentialAction");
Object.defineProperty(exports, "PotentialAction", { enumerable: true, get: function () { return PotentialAction_1.PotentialAction; } });
const MainEntityOfPage_1 = require("./src/itemProps/MainEntityOfPage");
Object.defineProperty(exports, "MainEntityOfPage", { enumerable: true, get: function () { return MainEntityOfPage_1.MainEntityOfPage; } });
const SubjectOf_1 = require("./src/itemProps/SubjectOf");
Object.defineProperty(exports, "SubjectOf", { enumerable: true, get: function () { return SubjectOf_1.SubjectOf; } });
const Url_1 = require("./src/itemProps/Url");
Object.defineProperty(exports, "Url", { enumerable: true, get: function () { return Url_1.Url; } });
const AlternateName_1 = require("./src/itemProps/AlternateName");
Object.defineProperty(exports, "AlternateName", { enumerable: true, get: function () { return AlternateName_1.AlternateName; } });
const SameAs_1 = require("./src/itemProps/SameAs");
Object.defineProperty(exports, "SameAs", { enumerable: true, get: function () { return SameAs_1.SameAs; } });
const Description_1 = require("./src/itemProps/Description");
Object.defineProperty(exports, "Description", { enumerable: true, get: function () { return Description_1.Description; } });
const DisambiguatingDescription_1 = require("./src/itemProps/DisambiguatingDescription");
Object.defineProperty(exports, "DisambiguatingDescription", { enumerable: true, get: function () { return DisambiguatingDescription_1.DisambiguatingDescription; } });
const Identifier_1 = require("./src/itemProps/Identifier");
Object.defineProperty(exports, "Identifier", { enumerable: true, get: function () { return Identifier_1.Identifier; } });
const Image_1 = require("./src/itemProps/Image");
Object.defineProperty(exports, "Image", { enumerable: true, get: function () { return Image_1.Image; } });
const Name_1 = require("./src/itemProps/Name");
Object.defineProperty(exports, "Name", { enumerable: true, get: function () { return Name_1.Name; } });
const AdditionalType_1 = require("./src/itemProps/AdditionalType");
Object.defineProperty(exports, "AdditionalType", { enumerable: true, get: function () { return AdditionalType_1.AdditionalType; } });
const ArchiveComponent_1 = require("./src/ArchiveComponent");
Object.defineProperty(exports, "ArchiveComponent", { enumerable: true, get: function () { return ArchiveComponent_1.ArchiveComponent; } });
exports.default = {
    ArchiveComponent: ArchiveComponent_1.ArchiveComponent,
    HoldingArchive: HoldingArchive_1.HoldingArchive,
    ItemLocation: ItemLocation_1.ItemLocation,
    WorkTranslation: WorkTranslation_1.WorkTranslation,
    EducationalLevel: EducationalLevel_1.EducationalLevel,
    AssociatedMedia: AssociatedMedia_1.AssociatedMedia,
    ExampleOfWork: ExampleOfWork_1.ExampleOfWork,
    ReleasedEvent: ReleasedEvent_1.ReleasedEvent,
    Version: Version_1.Version,
    LocationCreated: LocationCreated_1.LocationCreated,
    AcquireLicensePage: AcquireLicensePage_1.AcquireLicensePage,
    ThumbnailUrl: ThumbnailUrl_1.ThumbnailUrl,
    Provider: Provider_1.Provider,
    Expires: Expires_1.Expires,
    ContentLocation: ContentLocation_1.ContentLocation,
    EducationalUse: EducationalUse_1.EducationalUse,
    CopyrightHolder: CopyrightHolder_1.CopyrightHolder,
    AccessibilityControl: AccessibilityControl_1.AccessibilityControl,
    Maintainer: Maintainer_1.Maintainer,
    EducationalAlignment: EducationalAlignment_1.EducationalAlignment,
    Spatial: Spatial_1.Spatial,
    Publisher: Publisher_1.Publisher,
    Keywords: Keywords_1.Keywords,
    Assesses: Assesses_1.Assesses,
    Reviews: Reviews_1.Reviews,
    IsBasedOn: IsBasedOn_1.IsBasedOn,
    Mentions: Mentions_1.Mentions,
    PublishingPrinciples: PublishingPrinciples_1.PublishingPrinciples,
    Contributor: Contributor_1.Contributor,
    License: License_1.License,
    Citation: Citation_1.Citation,
    AccessibilitySummary: AccessibilitySummary_1.AccessibilitySummary,
    Award: Award_1.Award,
    CommentCount: CommentCount_1.CommentCount,
    TemporalCoverage: TemporalCoverage_1.TemporalCoverage,
    DateCreated: DateCreated_1.DateCreated,
    DiscussionUrl: DiscussionUrl_1.DiscussionUrl,
    CopyrightNotice: CopyrightNotice_1.CopyrightNotice,
    LearningResourceType: LearningResourceType_1.LearningResourceType,
    Awards: Awards_1.Awards,
    AccessModeSufficient: AccessModeSufficient_1.AccessModeSufficient,
    Review: Review_1.Review,
    ConditionsOfAccess: ConditionsOfAccess_1.ConditionsOfAccess,
    InteractivityType: InteractivityType_1.InteractivityType,
    Abstract: Abstract_1.Abstract,
    FileFormat: FileFormat_1.FileFormat,
    InterpretedAsClaim: InterpretedAsClaim_1.InterpretedAsClaim,
    Text: Text_1.Text,
    ArchivedAt: ArchivedAt_1.ArchivedAt,
    AlternativeHeadline: AlternativeHeadline_1.AlternativeHeadline,
    CreditText: CreditText_1.CreditText,
    Funding: Funding_1.Funding,
    InteractionStatistic: InteractionStatistic_1.InteractionStatistic,
    WorkExample: WorkExample_1.WorkExample,
    About: About_1.About,
    Encodings: Encodings_1.Encodings,
    Funder: Funder_1.Funder,
    Video: Video_1.Video,
    IsPartOf: IsPartOf_1.IsPartOf,
    Pattern: Pattern_1.Pattern,
    Editor: Editor_1.Editor,
    DateModified: DateModified_1.DateModified,
    TranslationOfWork: TranslationOfWork_1.TranslationOfWork,
    CreativeWorkStatus: CreativeWorkStatus_1.CreativeWorkStatus,
    IsBasedOnUrl: IsBasedOnUrl_1.IsBasedOnUrl,
    IsFamilyFriendly: IsFamilyFriendly_1.IsFamilyFriendly,
    IsAccessibleForFree: IsAccessibleForFree_1.IsAccessibleForFree,
    Author: Author_1.Author,
    ContentReferenceTime: ContentReferenceTime_1.ContentReferenceTime,
    Correction: Correction_1.Correction,
    SdDatePublished: SdDatePublished_1.SdDatePublished,
    Comment: Comment_1.Comment,
    CountryOfOrigin: CountryOfOrigin_1.CountryOfOrigin,
    TimeRequired: TimeRequired_1.TimeRequired,
    TypicalAgeRange: TypicalAgeRange_1.TypicalAgeRange,
    Genre: Genre_1.Genre,
    Producer: Producer_1.Producer,
    SchemaVersion: SchemaVersion_1.SchemaVersion,
    Audience: Audience_1.Audience,
    Encoding: Encoding_1.Encoding,
    PublisherImprint: PublisherImprint_1.PublisherImprint,
    AccessibilityAPI: AccessibilityAPI_1.AccessibilityAPI,
    SdPublisher: SdPublisher_1.SdPublisher,
    Audio: Audio_1.Audio,
    AccessibilityFeature: AccessibilityFeature_1.AccessibilityFeature,
    SpatialCoverage: SpatialCoverage_1.SpatialCoverage,
    AccessMode: AccessMode_1.AccessMode,
    EditEIDR: EditEIDR_1.EditEIDR,
    UsageInfo: UsageInfo_1.UsageInfo,
    Position: Position_1.Position,
    EncodingFormat: EncodingFormat_1.EncodingFormat,
    CopyrightYear: CopyrightYear_1.CopyrightYear,
    MainEntity: MainEntity_1.MainEntity,
    Creator: Creator_1.Creator,
    Teaches: Teaches_1.Teaches,
    Temporal: Temporal_1.Temporal,
    Size: Size_1.Size,
    Translator: Translator_1.Translator,
    AggregateRating: AggregateRating_1.AggregateRating,
    AccountablePerson: AccountablePerson_1.AccountablePerson,
    AccessibilityHazard: AccessibilityHazard_1.AccessibilityHazard,
    ContentRating: ContentRating_1.ContentRating,
    RecordedAt: RecordedAt_1.RecordedAt,
    Publication: Publication_1.Publication,
    SdLicense: SdLicense_1.SdLicense,
    Headline: Headline_1.Headline,
    MaterialExtent: MaterialExtent_1.MaterialExtent,
    InLanguage: InLanguage_1.InLanguage,
    Material: Material_1.Material,
    DatePublished: DatePublished_1.DatePublished,
    Offers: Offers_1.Offers,
    HasPart: HasPart_1.HasPart,
    SourceOrganization: SourceOrganization_1.SourceOrganization,
    Sponsor: Sponsor_1.Sponsor,
    Character: Character_1.Character,
    PotentialAction: PotentialAction_1.PotentialAction,
    MainEntityOfPage: MainEntityOfPage_1.MainEntityOfPage,
    SubjectOf: SubjectOf_1.SubjectOf,
    Url: Url_1.Url,
    AlternateName: AlternateName_1.AlternateName,
    SameAs: SameAs_1.SameAs,
    Description: Description_1.Description,
    DisambiguatingDescription: DisambiguatingDescription_1.DisambiguatingDescription,
    Identifier: Identifier_1.Identifier,
    Image: Image_1.Image,
    Name: Name_1.Name,
    AdditionalType: AdditionalType_1.AdditionalType
};
