"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessMode = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "accessMode",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const AccessMode = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'accessMode',
        ...props,
    }, children);
};
exports.AccessMode = AccessMode;
AccessMode.Text = TextType;
