"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessibilityControl = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "accessibilityControl",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const AccessibilityControl = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'accessibilityControl',
        ...props,
    }, children);
};
exports.AccessibilityControl = AccessibilityControl;
AccessibilityControl.Text = TextType;
