"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdditionalType = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "additionalType",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const AdditionalType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "additionalType",
        ...props,
    }, children);
};
exports.AdditionalType = AdditionalType;
AdditionalType.URL = URLType;
