"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Author = void 0;
const react_1 = require("react");
const Author = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'author',
        ...props,
    }, children);
};
exports.Author = Author;
Author.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "author",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
Author.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "author",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
