"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentRating = void 0;
const react_1 = require("react");
const ContentRating = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'contentRating',
        ...props,
    }, children);
};
exports.ContentRating = ContentRating;
ContentRating.Rating = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "contentRating",
        itemScope: true,
        itemType: "https://schema.org/Rating",
        ...props
    }, children);
};
