"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscussionUrl = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "discussionUrl",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const DiscussionUrl = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "discussionUrl",
        ...props,
    }, children);
};
exports.DiscussionUrl = DiscussionUrl;
DiscussionUrl.URL = URLType;
