"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Encoding = void 0;
const react_1 = require("react");
const MediaObjectType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "encoding",
        itemScope: true,
        itemType: "https://schema.org/MediaObject",
        ...props,
    }, children);
};
const Encoding = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "encoding",
        ...props,
    }, children);
};
exports.Encoding = Encoding;
Encoding.MediaObject = MediaObjectType;
