"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Expires = void 0;
const react_1 = require("react");
const Expires = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'expires',
        ...props,
    }, children);
};
exports.Expires = Expires;
Expires.Date = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "expires",
        itemScope: true,
        itemType: "https://schema.org/Date",
        ...props
    }, children);
};
Expires.DateTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "expires",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props
    }, children);
};
