"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InteractivityType = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "interactivityType",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const InteractivityType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'interactivityType',
        ...props,
    }, children);
};
exports.InteractivityType = InteractivityType;
InteractivityType.Text = TextType;
