"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Keywords = void 0;
const react_1 = require("react");
const Keywords = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'keywords',
        ...props,
    }, children);
};
exports.Keywords = Keywords;
Keywords.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "keywords",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
Keywords.DefinedTerm = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "keywords",
        itemScope: true,
        itemType: "https://schema.org/DefinedTerm",
        ...props
    }, children);
};
