"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Material = void 0;
const react_1 = require("react");
const Material = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'material',
        ...props,
    }, children);
};
exports.Material = Material;
Material.Product = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "material",
        itemScope: true,
        itemType: "https://schema.org/Product",
        ...props
    }, children);
};
Material.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "material",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
