"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Provider = void 0;
const react_1 = require("react");
const Provider = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'provider',
        ...props,
    }, children);
};
exports.Provider = Provider;
Provider.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "provider",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Provider.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "provider",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
