"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecordedAt = void 0;
const react_1 = require("react");
const EventType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "recordedAt",
        itemScope: true,
        itemType: "https://schema.org/Event",
        ...props,
    }, children);
};
const RecordedAt = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "recordedAt",
        ...props,
    }, children);
};
exports.RecordedAt = RecordedAt;
RecordedAt.Event = EventType;
