"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Temporal = void 0;
const react_1 = require("react");
const Temporal = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'temporal',
        ...props,
    }, children);
};
exports.Temporal = Temporal;
Temporal.DateTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "temporal",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props
    }, children);
};
